from . import BaseSchema
from marshmallow import fields, validate, RAISE, INCLUDE, EXCLUDE

class LoginSchema(BaseSchema):
    account = fields.String(required=True, validate=validate.Length(min=3, max=64))
    password = fields.String(required=True, validate=validate.Length(min=3, max=64))
    class Meta:
        unknown = EXCLUDE

class RegisterSchema(BaseSchema):
    account = fields.String(required=True, validate=validate.Length(min=3, max=20))
    username = fields.String(required=True, validate=validate.Length(min=3, max=20))
    password = fields.String(required=True, validate=validate.Length(min=3, max=18))
    email = fields.Email(required=False, missing="user@example.com")
    contact = fields.String(required=True, validate=validate.Length(min=11, max=11))
    gender = fields.Int(required=True,)
    birthday = fields.DateTime(missing=None)
    hometown = fields.String(missing="")
    role = fields.Int(required=True)
    depot = fields.Int(required=True)
    entry_time = fields.DateTime(required=True)
    expire_date = fields.DateTime(required=True)

    class Meta:
        unknown = EXCLUDE